Ciele

One Task with its subtasks, labels and blockers

GET/api/v1/tasks/{id}

Requires an Organization API key with the member capability.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tasks/string"
{  "task": {    "id": "string",    "organizationId": "string",    "projectId": "string",    "parentId": null,    "seq": 0,    "title": "string",    "description": "string",    "status": "to_do",    "priority": "none",    "assigneeMemberId": null,    "assigneeTeammateId": null,    "startDate": null,    "dueDate": null,    "estimateMinutes": null,    "recurrence": null,    "rank": "string",    "improvementId": null,    "completedAt": null,    "archivedAt": null,    "createdBy": null,    "createdAt": "string",    "updatedAt": "string"  },  "project": {    "id": "string",    "organizationId": "string",    "name": "string",    "description": "string",    "archived": true,    "createdBy": null,    "createdAt": "string",    "updatedAt": "string",    "key": "string",    "status": "active",    "leadId": null,    "startDate": null,    "dueDate": null,    "color": "gray",    "icon": "string",    "visibility": "organization"  },  "subtasks": [    {      "id": "string",      "organizationId": "string",      "projectId": "string",      "parentId": null,      "seq": 0,      "title": "string",      "description": "string",      "status": "to_do",      "priority": "none",      "assigneeMemberId": null,      "assigneeTeammateId": null,      "startDate": null,      "dueDate": null,      "estimateMinutes": null,      "recurrence": null,      "rank": "string",      "improvementId": null,      "completedAt": null,      "archivedAt": null,      "createdBy": null,      "createdAt": "string",      "updatedAt": "string"    }  ],  "parent": null,  "labelIds": [    "string"  ],  "blockedBy": [    {      "id": "string",      "organizationId": "string",      "projectId": "string",      "parentId": null,      "seq": 0,      "title": "string",      "description": "string",      "status": "to_do",      "priority": "none",      "assigneeMemberId": null,      "assigneeTeammateId": null,      "startDate": null,      "dueDate": null,      "estimateMinutes": null,      "recurrence": null,      "rank": "string",      "improvementId": null,      "completedAt": null,      "archivedAt": null,      "createdBy": null,      "createdAt": "string",      "updatedAt": "string"    }  ],  "blocking": [    {      "id": "string",      "organizationId": "string",      "projectId": "string",      "parentId": null,      "seq": 0,      "title": "string",      "description": "string",      "status": "to_do",      "priority": "none",      "assigneeMemberId": null,      "assigneeTeammateId": null,      "startDate": null,      "dueDate": null,      "estimateMinutes": null,      "recurrence": null,      "rank": "string",      "improvementId": null,      "completedAt": null,      "archivedAt": null,      "createdBy": null,      "createdAt": "string",      "updatedAt": "string"    }  ],  "improvement": null,  "memberIds": [    "string"  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}